Bug 163187 - [NEW PORT] math/mingw32-libgmp: Library for arbitrary precision arithmetic (MinGW32)
Summary: [NEW PORT] math/mingw32-libgmp: Library for arbitrary precision arithmetic (M...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stephen Montgomery-Smith
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-11 18:10 UTC by Naram Qashat
Modified: 2011-12-25 17:30 UTC (History)
0 users

See Also:


Attachments
mingw32-libgmp-5.0.2.shar (2.90 KB, text/plain)
2011-12-11 18:10 UTC, Naram Qashat
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2011-12-11 18:10:00 UTC
GMP is a free library for arbitrary precision arithmetic, operating
on signed integers, rational numbers, and floating point numbers.
There is no limit to the precision except the ones implied by the
available memory in the machine GMP runs on. GMP has a rich set of
functions, and the functions have a regular interface. 

This port compiles libgmp using MinGW32.

WWW: http://www.swox.com/gmp/

---

NOTE: I would actually like to propose that math/mingw32-libgmp4 be
      moved to math/mingw32-libgmp using the below port. The GMP
      website no longer lists GMP 4.x at all, and the port name would
      not make much sense since it'll be for GMP 5.x.

Generated with FreeBSD Port Tools 0.99
Comment 1 Stephen Montgomery-Smith freebsd_committer 2011-12-22 00:28:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stephen

I'll take it.
Comment 2 Stephen Montgomery-Smith freebsd_committer 2011-12-22 00:43:06 UTC
Class Changed
From-To: change-request->maintainer-update

Submitter of PR is maintainer of the port.
Comment 3 Stephen Montgomery-Smith 2011-12-22 01:19:03 UTC
I have requested a repocopy in ports/163520.  When portmgr has made the 
repocopy, I will commit your PR.

It would probably be a good thing if you replied to ports/163520 saying 
that you approve of the PR.
Comment 4 dfilter service freebsd_committer 2011-12-25 17:14:42 UTC
stephen     2011-12-25 17:14:29 UTC

  FreeBSD ports repository

  Modified files:
    math/mingw32-libgmp  Makefile distinfo 
  Log:
  - Update to 5.0.2.
  
  PR:             ports/163187
  Submitted by:   Naram Qashat <cyberbotx@cyberbotx.com>
  
  Revision  Changes    Path
  1.6       +2 -4      ports/math/mingw32-libgmp/Makefile
  1.6       +2 -2      ports/math/mingw32-libgmp/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2011-12-25 17:24:14 UTC
stephen     2011-12-25 17:24:01 UTC

  FreeBSD ports repository

  Modified files:
    lang/mlton           Makefile 
  Log:
  - Chase math/mingw32-libgmp4 moving to math/mingw32-libgmp.
  - Bump portrevision.
  
  PR:             ports/163187 and ports/163520
  Submitted by:   Naram Qashat <cyberbotx@cyberbotx.com>
  
  Revision  Changes    Path
  1.29      +3 -3      ports/lang/mlton/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Stephen Montgomery-Smith freebsd_committer 2011-12-25 17:24:21 UTC
State Changed
From-To: open->closed

Committed, thanks!